Resetting the Parameters of crm.lead.details.configuration.reset
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
crmWho can execute the method:
- any user can reset their own settings,
- a user with the "Allow to change settings" access permission in CRM can reset both general and others' settings.
DEPRECATED
The development of this method has been halted. Please use crm.item.details.configuration.reset.
The method crm.lead.details.configuration.reset resets the settings of lead cards.
Warning
The settings for repeat leads may differ from those for simple leads. To switch between lead card settings, use the lead.customer.type parameter in extras.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
userId |
The identifier of the user for whom the personal configuration needs to be reset. If this parameter is not provided, the This is only required when resetting personal settings |
|
scope |
The scope of the settings. Possible values:
The default value is |
|
extras |
Additional parameters for selecting the type of lead. The structure is described below |
Extras Parameter
|
Name |
Description |
|
lead.customer.type |
The type of lead. Possible values:
|
Code Examples
How to Use Examples in Documentation
-
Resetting Personal Card Settings
cURL (Webhook)cURL (OAuth)JSPHPBX24.jsPHP CRestcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":1}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.lead.details.configuration.resetcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":1,"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.lead.details.configuration.resettry { const response = await $b24.callMethod( 'crm.lead.details.configuration.reset', { scope: 'P', userId: 1 } ); const result = response.getData().result; console.dir(result); } catch(error) { console.error(error); }try { $response = $b24Service ->core ->call( 'crm.lead.details.configuration.reset', [ 'scope' => 'P', 'userId' => 1, ] ); $result = $response ->getResponseData() ->getResult(); if ($result->error()) { error_log($result->error()); } else { echo 'Success: ' . print_r($result->data(), true); } } catch (Throwable $e) { error_log($e->getMessage()); echo 'Error resetting lead details configuration: ' . $e->getMessage(); }BX24.callMethod( "crm.lead.details.configuration.reset", { scope: "P", userId: 1 }, function(result) { if(result.error()) console.error(result.error()); else console.dir(result.data()); } );require_once('crest.php'); $result = CRest::call( 'crm.lead.details.configuration.reset', [ 'scope' => 'P', 'userId' => 1 ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Resetting General Card Settings
cURL (Webhook)cURL (OAuth)JSPHPBX24.jsPHP CRestcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C"}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.lead.details.configuration.resetcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C","auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.lead.details.configuration.resettry { const response = await $b24.callMethod( "crm.lead.details.configuration.reset", { scope: "C" } ); const result = response.getData().result; console.dir(result); } catch(error) { console.error(error); }try { $response = $b24Service ->core ->call( 'crm.lead.details.configuration.reset', [ 'scope' => 'C', ] ); $result = $response ->getResponseData() ->getResult(); if ($result->error()) { error_log($result->error()); } else { echo 'Success: ' . print_r($result->data(), true); } } catch (Throwable $e) { error_log($e->getMessage()); echo 'Error resetting lead details configuration: ' . $e->getMessage(); }BX24.callMethod( "crm.lead.details.configuration.reset", { scope: "C" }, function(result) { if(result.error()) console.error(result.error()); else console.dir(result.data()); } );require_once('crest.php'); $result = CRest::call( 'crm.lead.details.configuration.reset', [ 'scope' => 'C' ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP Status: 200
{
"result": true,
"time": {
"start": 1720687072.190654,
"finish": 1720687072.586945,
"duration": 0.39629101753234863,
"processing": 0.057084083557128906,
"date_start": "2024-07-11T10:37:52+02:00",
"date_finish": "2024-07-11T10:37:52+02:00",
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
The root element of the response. Returns |
|
time |
Information about the execution time of the request |
Error Handling
HTTP Status: 400
{
"error": "",
"error_description": "Access denied."
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
|
Access denied |
Insufficient permissions to reset the requested configuration |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not permitted for calls using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The HTTPS protocol is required for method calls |
|
|
|
The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it |
|
|
|
The REST API is only available on commercial plans |
|
|
|
The user associated with the access token or webhook used to call the method lacks the necessary permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Managing Lead Cards: Overview of Methods
- Get Parameters of crm.lead.details.configuration.get
- Set Parameters for crm.lead.details.configuration.set
- Set Common Lead Card for All Users crm.lead.details.configuration.forceCommonScopeForAll